<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__crypto__core__vu_8c" kind="file" language="C++">
    <compoundname>cy_crypto_core_vu.c</compoundname>
    <includes local="yes" refid="cy__crypto__core__vu_8h">cy_crypto_core_vu.h</includes>
    <includes local="yes" refid="cy__crypto__core__hw__v1_8h">cy_crypto_core_hw_v1.h</includes>
    <includes local="yes" refid="cy__crypto__core__hw__v2_8h">cy_crypto_core_hw_v2.h</includes>
    <includes local="yes" refid="cy__crypto__core__mem_8h">cy_crypto_core_mem.h</includes>
    <includes local="yes" refid="cy__syslib_8h">cy_syslib.h</includes>
      <sectiondef kind="define">
      <memberdef id="cy__crypto__core__vu_8c_1a3bcfbbf3346773708210055f42497fae" kind="define" prot="public" static="no">
        <name>CY_CRYPTO_SERVICE_LIBRARY_LEVEL</name>
        <initializer>CY_CRYPTO_FULL_LIBRARY</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_vu.c" bodystart="43" column="13" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_vu.c" line="43" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__vu__functions_1gad21cfd7efa413ac522736348d3e28813" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Crypto_Core_Vu_SetMemValue</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t dstReg, uint8_t const *src, uint32_t size)</argsstring>
        <name>Cy_Crypto_Core_Vu_SetMemValue</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>dstReg</declname>
        </param>
        <param>
          <type>uint8_t const *</type>
          <declname>src</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>Sets the value in the Crypto memory allocated by the destination VU register. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dstReg</parametername>
</parameternamelist>
<parameterdescription>
<para>The destination vector unit register.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>src</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the source value.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>size</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the operated value. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="74" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_vu.c" bodystart="46" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_vu.c" line="46" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__vu__functions_1ga656498f4aad29b0c489b098093fde8d3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Crypto_Core_Vu_GetMemValue</definition>
        <argsstring>(CRYPTO_Type *base, uint8_t *dst, uint32_t srcReg, uint32_t size)</argsstring>
        <name>Cy_Crypto_Core_Vu_GetMemValue</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>dst</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>srcReg</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>Gets the value located in the crypto memory and pointed by source VU register. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dst</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the destination value.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcReg</parametername>
</parameternamelist>
<parameterdescription>
<para>The source vector unit register.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>size</parametername>
</parameternamelist>
<parameterdescription>
<para>The size of the operated value. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="103" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_vu.c" bodystart="76" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_vu.c" line="76" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__vu__functions_1ga578cecebde8bce42aba5657d36b809ee" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref></type>
        <definition>cy_en_crypto_status_t Cy_Crypto_Core_Cleanup</definition>
        <argsstring>(CRYPTO_Type *base)</argsstring>
        <name>Cy_Crypto_Core_Cleanup</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Cleans up the Crypto block. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref> </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="147" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_vu.c" bodystart="105" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_vu.c" line="105" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__vu__functions_1gaa7e7823e7b0d5a6e279bf90e405aec9e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool Cy_Crypto_Core_Vu_IsRegZero</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t srcReg)</argsstring>
        <name>Cy_Crypto_Core_Vu_IsRegZero</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>srcReg</declname>
        </param>
        <briefdescription>
<para>Returns TRUE if srcReg contains 0. </para>        </briefdescription>
        <detaileddescription>
<para>FALSE - otherwise.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcReg</parametername>
</parameternamelist>
<parameterdescription>
<para>The source vector unit register.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The result of the comparison. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="167" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_vu.c" bodystart="149" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_vu.c" line="149" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__vu__functions_1ga8e0735e9fc34fe5a31250fd4b63c2d4e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool Cy_Crypto_Core_Vu_IsRegEqual</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t srcReg0, uint32_t srcReg1)</argsstring>
        <name>Cy_Crypto_Core_Vu_IsRegEqual</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>srcReg0</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>srcReg1</declname>
        </param>
        <briefdescription>
<para>Returns TRUE if srcReg0 contains the same value as srcReg1. </para>        </briefdescription>
        <detaileddescription>
<para>FALSE - otherwise.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcReg0</parametername>
</parameternamelist>
<parameterdescription>
<para>The source 0 vector unit register.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcReg1</parametername>
</parameternamelist>
<parameterdescription>
<para>The source 1 vector unit register.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The result of the comparison. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="187" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_vu.c" bodystart="169" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_vu.c" line="169" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__vu__functions_1ga114cfba2b92c9b5344bb998dba0c5c8d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>bool</type>
        <definition>bool Cy_Crypto_Core_Vu_IsRegLess</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t srcReg0, uint32_t srcReg1)</argsstring>
        <name>Cy_Crypto_Core_Vu_IsRegLess</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>srcReg0</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>srcReg1</declname>
        </param>
        <briefdescription>
<para>Returns TRUE if srcReg0 contains the value less than value of srcReg1. </para>        </briefdescription>
        <detaileddescription>
<para>FALSE - otherwise.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcReg0</parametername>
</parameternamelist>
<parameterdescription>
<para>The source 0 vector unit register.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcReg1</parametername>
</parameternamelist>
<parameterdescription>
<para>The source 1 vector unit register.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The result of the comparison. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="207" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_vu.c" bodystart="189" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_vu.c" line="189" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__vu__functions_1ga08aa3a35101cb64a96fa0b744aae35d0" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_Crypto_Core_VU_RegInvertEndianness</definition>
        <argsstring>(CRYPTO_Type *base, uint32_t srcReg)</argsstring>
        <name>Cy_Crypto_Core_VU_RegInvertEndianness</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>srcReg</declname>
        </param>
        <briefdescription>
<para>Reverts the memory data block pointed in given register. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>srcReg</parametername>
</parameternamelist>
<parameterdescription>
<para>The source vector unit register. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="214" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_vu.c" bodystart="209" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_vu.c" line="209" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This file provides the source code to the API for the Vector Unit helpers in the Crypto driver. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>2.30.3</para></simplesect>
Copyright 2016-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para><para>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</para><para><ulink url="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</ulink></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="27"><highlight class="preprocessor">#include<sp />"cy_crypto_core_vu.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(CY_IP_MXCRYPTO)</highlight><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(CPUSS_CRYPTO_VU<sp />==<sp />1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_crypto_core_hw_v1.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_crypto_core_hw_v2.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="39"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_crypto_core_mem.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="40"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_syslib.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="41"><highlight class="normal" /></codeline>
<codeline lineno="42"><highlight class="normal" /><highlight class="preprocessor">#if<sp />!defined(CY_CRYPTO_SERVICE_LIBRARY_LEVEL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="43"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />CY_CRYPTO_SERVICE_LIBRARY_LEVEL<sp />CY_CRYPTO_FULL_LIBRARY</highlight><highlight class="normal" /></codeline>
<codeline lineno="44"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="45"><highlight class="normal" /></codeline>
<codeline lineno="46"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__crypto__lld__vu__functions_1gad21cfd7efa413ac522736348d3e28813">Cy_Crypto_Core_Vu_SetMemValue</ref>(CRYPTO_Type<sp />*base,<sp />uint32_t<sp />dstReg,<sp />uint8_t<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />*src,<sp />uint32_t<sp />size)</highlight></codeline>
<codeline lineno="47"><highlight class="normal">{</highlight></codeline>
<codeline lineno="48"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />reg0_data<sp />=<sp />0uL;</highlight></codeline>
<codeline lineno="49"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />reg1_data<sp />=<sp />0uL;</highlight></codeline>
<codeline lineno="50"><highlight class="normal" /></codeline>
<codeline lineno="51"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__crypto__lld__hw__functions_1ga17c57fe13a519b0273fe9dee78dae44b">Cy_Crypto_Core_Vu_WaitForComplete</ref>(base);</highlight></codeline>
<codeline lineno="52"><highlight class="normal" /></codeline>
<codeline lineno="53"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_CRYPTO_V1)</highlight></codeline>
<codeline lineno="54"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="55"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_VU_SAVE_REG(base,<sp />CY_CRYPTO_VU_HW_REG0,<sp />&amp;reg0_data);</highlight></codeline>
<codeline lineno="56"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_VU_SAVE_REG(base,<sp />CY_CRYPTO_VU_HW_REG1,<sp />&amp;reg1_data);</highlight></codeline>
<codeline lineno="57"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="58"><highlight class="normal" /></codeline>
<codeline lineno="59"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Copy<sp />value<sp />to<sp />Crypto<sp />SRAM<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="60"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />byteSize<sp />=<sp />(uint16_t)CY_CRYPTO_BYTE_SIZE_OF_BITS(size);</highlight></codeline>
<codeline lineno="61"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />destAddr<sp />=<sp />(uint32_t)<ref kindref="member" refid="group__group__crypto__lld__vu__functions_1gaf3eb6a75150071a92906aed994a3682e">Cy_Crypto_Core_Vu_RegMemPointer</ref>(base,<sp />dstReg);</highlight></codeline>
<codeline lineno="62"><highlight class="normal" /></codeline>
<codeline lineno="63"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gabb4e5c6e694fe418794cbd8f93301532">CY_ASSERT_L1</ref>(size<sp />&lt;=<sp /><ref kindref="member" refid="group__group__crypto__lld__vu__functions_1ga6ba9bc785b3a2a63b003acbe80ad02ec">Cy_Crypto_Core_Vu_RegBitSizeRead</ref>(base,<sp />dstReg));</highlight></codeline>
<codeline lineno="64"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gabb4e5c6e694fe418794cbd8f93301532">CY_ASSERT_L1</ref>(<sp />((destAddr<sp />+<sp />byteSize)<sp />-<sp />1u)<sp />&lt;<sp />((uint32_t)<ref kindref="member" refid="group__group__crypto__lld__hw__functions_1ga07acf748f85c91a73ad9b8d78a2f70a5">Cy_Crypto_Core_GetVuMemoryAddress</ref>(base)<sp />+<sp /><ref kindref="member" refid="group__group__crypto__lld__hw__functions_1gab7b00336d1f1d0741155edf12ad7393d">Cy_Crypto_Core_GetVuMemorySize</ref>(base)));</highlight></codeline>
<codeline lineno="65"><highlight class="normal" /></codeline>
<codeline lineno="66"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__crypto__lld__mem__functions_1ga124378fe993bb15ea0fe657a1c4ba33f">Cy_Crypto_Core_MemSet</ref>(base,<sp />(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*)destAddr,<sp />0u,<sp />(uint16_t)CY_CRYPTO_WORD_SIZE_OF_BITS(size)<sp />*<sp />4u);</highlight></codeline>
<codeline lineno="67"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__crypto__lld__mem__functions_1ga2a34cb65f8bc94c4c68b3c4bd384e375">Cy_Crypto_Core_MemCpy</ref>(base,<sp />(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*)destAddr,<sp />(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*)src,<sp />byteSize);</highlight></codeline>
<codeline lineno="68"><highlight class="normal" /></codeline>
<codeline lineno="69"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_CRYPTO_V1)</highlight></codeline>
<codeline lineno="70"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="71"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_VU_RESTORE_REG(base,<sp />CY_CRYPTO_VU_HW_REG0,<sp />reg0_data);</highlight></codeline>
<codeline lineno="72"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_VU_RESTORE_REG(base,<sp />CY_CRYPTO_VU_HW_REG1,<sp />reg1_data);</highlight></codeline>
<codeline lineno="73"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="74"><highlight class="normal">}</highlight></codeline>
<codeline lineno="75"><highlight class="normal" /></codeline>
<codeline lineno="76"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__crypto__lld__vu__functions_1ga656498f4aad29b0c489b098093fde8d3">Cy_Crypto_Core_Vu_GetMemValue</ref>(CRYPTO_Type<sp />*base,<sp />uint8_t<sp />*dst,<sp />uint32_t<sp />srcReg,<sp />uint32_t<sp />size)</highlight></codeline>
<codeline lineno="77"><highlight class="normal">{</highlight></codeline>
<codeline lineno="78"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />reg0_data<sp />=<sp />0uL;</highlight></codeline>
<codeline lineno="79"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />reg1_data<sp />=<sp />0uL;</highlight></codeline>
<codeline lineno="80"><highlight class="normal" /></codeline>
<codeline lineno="81"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__crypto__lld__hw__functions_1ga17c57fe13a519b0273fe9dee78dae44b">Cy_Crypto_Core_Vu_WaitForComplete</ref>(base);</highlight></codeline>
<codeline lineno="82"><highlight class="normal" /></codeline>
<codeline lineno="83"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_CRYPTO_V1)</highlight></codeline>
<codeline lineno="84"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="85"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_VU_SAVE_REG(base,<sp />CY_CRYPTO_VU_HW_REG0,<sp />&amp;reg0_data);</highlight></codeline>
<codeline lineno="86"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_VU_SAVE_REG(base,<sp />CY_CRYPTO_VU_HW_REG1,<sp />&amp;reg1_data);</highlight></codeline>
<codeline lineno="87"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="88"><highlight class="normal" /></codeline>
<codeline lineno="89"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Copy<sp />value<sp />from<sp />Crypto<sp />SRAM<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="90"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />byteSize<sp />=<sp />(uint16_t)CY_CRYPTO_BYTE_SIZE_OF_BITS(size);</highlight></codeline>
<codeline lineno="91"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />dataAddr<sp />=<sp />(uint32_t)<ref kindref="member" refid="group__group__crypto__lld__vu__functions_1gaf3eb6a75150071a92906aed994a3682e">Cy_Crypto_Core_Vu_RegMemPointer</ref>(base,<sp />srcReg);</highlight></codeline>
<codeline lineno="92"><highlight class="normal" /></codeline>
<codeline lineno="93"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gabb4e5c6e694fe418794cbd8f93301532">CY_ASSERT_L1</ref>(size<sp />&lt;=<sp /><ref kindref="member" refid="group__group__crypto__lld__vu__functions_1ga6ba9bc785b3a2a63b003acbe80ad02ec">Cy_Crypto_Core_Vu_RegBitSizeRead</ref>(base,<sp />srcReg));</highlight></codeline>
<codeline lineno="94"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gabb4e5c6e694fe418794cbd8f93301532">CY_ASSERT_L1</ref>(<sp />((dataAddr<sp />+<sp />byteSize)<sp />-<sp />1u)<sp />&lt;<sp />((uint32_t)<ref kindref="member" refid="group__group__crypto__lld__hw__functions_1ga07acf748f85c91a73ad9b8d78a2f70a5">Cy_Crypto_Core_GetVuMemoryAddress</ref>(base)<sp />+<sp /><ref kindref="member" refid="group__group__crypto__lld__hw__functions_1gab7b00336d1f1d0741155edf12ad7393d">Cy_Crypto_Core_GetVuMemorySize</ref>(base)));</highlight></codeline>
<codeline lineno="95"><highlight class="normal" /></codeline>
<codeline lineno="96"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__crypto__lld__mem__functions_1ga2a34cb65f8bc94c4c68b3c4bd384e375">Cy_Crypto_Core_MemCpy</ref>(base,<sp />(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*)dst,<sp />(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">*)dataAddr,<sp />byteSize);</highlight></codeline>
<codeline lineno="97"><highlight class="normal" /></codeline>
<codeline lineno="98"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_CRYPTO_V1)</highlight></codeline>
<codeline lineno="99"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="100"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_VU_RESTORE_REG(base,<sp />CY_CRYPTO_VU_HW_REG0,<sp />reg0_data);</highlight></codeline>
<codeline lineno="101"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_CRYPTO_VU_RESTORE_REG(base,<sp />CY_CRYPTO_VU_HW_REG1,<sp />reg1_data);</highlight></codeline>
<codeline lineno="102"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="103"><highlight class="normal">}</highlight></codeline>
<codeline lineno="104"><highlight class="normal" /></codeline>
<codeline lineno="105"><highlight class="normal"><ref kindref="member" refid="group__group__crypto__enums_1ga3a65158da3dc5cb6aa016ae599542aad">cy_en_crypto_status_t</ref><sp /><ref kindref="member" refid="group__group__crypto__lld__vu__functions_1ga578cecebde8bce42aba5657d36b809ee">Cy_Crypto_Core_Cleanup</ref>(CRYPTO_Type<sp />*base)</highlight></codeline>
<codeline lineno="106"><highlight class="normal">{</highlight></codeline>
<codeline lineno="107"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Clear<sp />whole<sp />register<sp />file<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="108"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__crypto__lld__hw__functions_1ga000bf3a63e4f2ee9fb8bb3a452b87d87">Cy_Crypto_Core_ClearVuRegisters</ref>(base);</highlight></codeline>
<codeline lineno="109"><highlight class="normal" /></codeline>
<codeline lineno="110"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />PRNG<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="111"><highlight class="normal"><sp /><sp /><sp /><sp />REG_CRYPTO_PR_LFSR_CTL0(base)<sp />=<sp />0u;</highlight></codeline>
<codeline lineno="112"><highlight class="normal"><sp /><sp /><sp /><sp />REG_CRYPTO_PR_LFSR_CTL1(base)<sp />=<sp />0u;</highlight></codeline>
<codeline lineno="113"><highlight class="normal"><sp /><sp /><sp /><sp />REG_CRYPTO_PR_LFSR_CTL2(base)<sp />=<sp />0u;</highlight></codeline>
<codeline lineno="114"><highlight class="normal"><sp /><sp /><sp /><sp />REG_CRYPTO_PR_RESULT(base)<sp /><sp /><sp /><sp />=<sp />0u;</highlight></codeline>
<codeline lineno="115"><highlight class="normal" /></codeline>
<codeline lineno="116"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />TRNG<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="117"><highlight class="normal"><sp /><sp /><sp /><sp />REG_CRYPTO_TR_CTL0(base)<sp /><sp /><sp /><sp /><sp /><sp />=<sp />0u;</highlight></codeline>
<codeline lineno="118"><highlight class="normal"><sp /><sp /><sp /><sp />REG_CRYPTO_TR_CTL1(base)<sp /><sp /><sp /><sp /><sp /><sp />=<sp />0u;</highlight></codeline>
<codeline lineno="119"><highlight class="normal"><sp /><sp /><sp /><sp />REG_CRYPTO_TR_RESULT(base)<sp /><sp /><sp /><sp />=<sp />0u;</highlight></codeline>
<codeline lineno="120"><highlight class="normal" /></codeline>
<codeline lineno="121"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />CRC<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="122"><highlight class="normal"><sp /><sp /><sp /><sp />REG_CRYPTO_CRC_POL_CTL(base)<sp /><sp />=<sp />0u;</highlight></codeline>
<codeline lineno="123"><highlight class="normal"><sp /><sp /><sp /><sp />REG_CRYPTO_CRC_REM_CTL(base)<sp /><sp />=<sp />0u;</highlight></codeline>
<codeline lineno="124"><highlight class="normal" /></codeline>
<codeline lineno="125"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />AES<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="126"><highlight class="normal"><sp /><sp /><sp /><sp />REG_CRYPTO_AES_CTL(base)<sp /><sp /><sp /><sp /><sp /><sp />=<sp />0u;</highlight></codeline>
<codeline lineno="127"><highlight class="normal" /></codeline>
<codeline lineno="128"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_CRYPTO_V1)</highlight></codeline>
<codeline lineno="129"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="130"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />REG_CRYPTO_CRC_LFSR_CTL(base)<sp />=<sp />0u;</highlight></codeline>
<codeline lineno="131"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />REG_CRYPTO_SHA_CTL(base)<sp /><sp />=<sp />0u;</highlight></codeline>
<codeline lineno="132"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="133"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="134"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="135"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />REG_CRYPTO_TR_CTL2(base)<sp /><sp />=<sp />0u;</highlight></codeline>
<codeline lineno="136"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />REG_CRYPTO_RESULT(base)<sp /><sp /><sp />=<sp />0u;</highlight></codeline>
<codeline lineno="137"><highlight class="normal" /></codeline>
<codeline lineno="138"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_Crypto_Core_V2_FFStop(base,<sp />CY_CRYPTO_V2_RB_FF_LOAD0);</highlight></codeline>
<codeline lineno="139"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_Crypto_Core_V2_FFStop(base,<sp />CY_CRYPTO_V2_RB_FF_LOAD1);</highlight></codeline>
<codeline lineno="140"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_Crypto_Core_V2_FFStop(base,<sp />CY_CRYPTO_V2_RB_FF_STORE);</highlight></codeline>
<codeline lineno="141"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Cy_Crypto_Core_V2_RBClear(base);</highlight></codeline>
<codeline lineno="142"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="143"><highlight class="normal" /></codeline>
<codeline lineno="144"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__crypto__lld__mem__functions_1ga124378fe993bb15ea0fe657a1c4ba33f">Cy_Crypto_Core_MemSet</ref>(base,<sp />(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*)<ref kindref="member" refid="group__group__crypto__lld__hw__functions_1ga07acf748f85c91a73ad9b8d78a2f70a5">Cy_Crypto_Core_GetVuMemoryAddress</ref>(base),<sp />0u,<sp />(uint16_t)<ref kindref="member" refid="group__group__crypto__lld__hw__functions_1gab7b00336d1f1d0741155edf12ad7393d">Cy_Crypto_Core_GetVuMemorySize</ref>(base));</highlight></codeline>
<codeline lineno="145"><highlight class="normal" /></codeline>
<codeline lineno="146"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__crypto__enums_1gga3a65158da3dc5cb6aa016ae599542aada15d5a5e1314e16c159b7d3fd6f3501b8">CY_CRYPTO_SUCCESS</ref>);</highlight></codeline>
<codeline lineno="147"><highlight class="normal">}</highlight></codeline>
<codeline lineno="148"><highlight class="normal" /></codeline>
<codeline lineno="149"><highlight class="normal" /><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__crypto__lld__vu__functions_1gaa7e7823e7b0d5a6e279bf90e405aec9e">Cy_Crypto_Core_Vu_IsRegZero</ref>(CRYPTO_Type<sp />*base,<sp />uint32_t<sp />srcReg)</highlight></codeline>
<codeline lineno="150"><highlight class="normal">{</highlight></codeline>
<codeline lineno="151"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />tmpResult;</highlight></codeline>
<codeline lineno="152"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />status;</highlight></codeline>
<codeline lineno="153"><highlight class="normal" /></codeline>
<codeline lineno="154"><highlight class="normal"><sp /><sp /><sp /><sp />CY_CRYPTO_VU_TST(base,<sp />srcReg);</highlight></codeline>
<codeline lineno="155"><highlight class="normal"><sp /><sp /><sp /><sp />status<sp />=<sp /><ref kindref="member" refid="group__group__crypto__lld__vu__functions_1ga78e8555981ee096d716efeab9f3206df">Cy_Crypto_Core_Vu_StatusRead</ref>(base);</highlight></codeline>
<codeline lineno="156"><highlight class="normal" /></codeline>
<codeline lineno="157"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(0u<sp />!=<sp />(status<sp />&amp;<sp />CY_CRYPTO_VU_STATUS_ZERO_BIT))</highlight></codeline>
<codeline lineno="158"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="159"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tmpResult<sp />=<sp /></highlight><highlight class="keyword">true</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="160"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="161"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="162"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="163"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tmpResult<sp />=<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="164"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="165"><highlight class="normal" /></codeline>
<codeline lineno="166"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />tmpResult;</highlight></codeline>
<codeline lineno="167"><highlight class="normal">}</highlight></codeline>
<codeline lineno="168"><highlight class="normal" /></codeline>
<codeline lineno="169"><highlight class="normal" /><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__crypto__lld__vu__functions_1ga8e0735e9fc34fe5a31250fd4b63c2d4e">Cy_Crypto_Core_Vu_IsRegEqual</ref>(CRYPTO_Type<sp />*base,<sp />uint32_t<sp />srcReg0,<sp />uint32_t<sp />srcReg1)</highlight></codeline>
<codeline lineno="170"><highlight class="normal">{</highlight></codeline>
<codeline lineno="171"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />tmpResult;</highlight></codeline>
<codeline lineno="172"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />status;</highlight></codeline>
<codeline lineno="173"><highlight class="normal" /></codeline>
<codeline lineno="174"><highlight class="normal"><sp /><sp /><sp /><sp />CY_CRYPTO_VU_CMP_SUB<sp />(base,<sp />srcReg1,<sp />srcReg0);<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />C<sp />=<sp />(a<sp />&gt;=<sp />b)<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="175"><highlight class="normal"><sp /><sp /><sp /><sp />status<sp />=<sp /><ref kindref="member" refid="group__group__crypto__lld__vu__functions_1ga78e8555981ee096d716efeab9f3206df">Cy_Crypto_Core_Vu_StatusRead</ref>(base);</highlight></codeline>
<codeline lineno="176"><highlight class="normal" /></codeline>
<codeline lineno="177"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(0u<sp />!=<sp />(status<sp />&amp;<sp /><sp />CY_CRYPTO_VU_STATUS_ZERO_BIT))</highlight></codeline>
<codeline lineno="178"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="179"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tmpResult<sp />=<sp /></highlight><highlight class="keyword">true</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="180"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="181"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="182"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="183"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tmpResult<sp />=<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="184"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="185"><highlight class="normal" /></codeline>
<codeline lineno="186"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />tmpResult;</highlight></codeline>
<codeline lineno="187"><highlight class="normal">}</highlight></codeline>
<codeline lineno="188"><highlight class="normal" /></codeline>
<codeline lineno="189"><highlight class="normal" /><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__crypto__lld__vu__functions_1ga114cfba2b92c9b5344bb998dba0c5c8d">Cy_Crypto_Core_Vu_IsRegLess</ref>(CRYPTO_Type<sp />*base,<sp />uint32_t<sp />srcReg0,<sp />uint32_t<sp />srcReg1)</highlight></codeline>
<codeline lineno="190"><highlight class="normal">{</highlight></codeline>
<codeline lineno="191"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />tmpResult;</highlight></codeline>
<codeline lineno="192"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />status;</highlight></codeline>
<codeline lineno="193"><highlight class="normal" /></codeline>
<codeline lineno="194"><highlight class="normal"><sp /><sp /><sp /><sp />CY_CRYPTO_VU_CMP_SUB<sp />(base,<sp />srcReg1,<sp />srcReg0);<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />C<sp />=<sp />(a<sp />&gt;=<sp />b)<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="195"><highlight class="normal"><sp /><sp /><sp /><sp />status<sp />=<sp /><ref kindref="member" refid="group__group__crypto__lld__vu__functions_1ga78e8555981ee096d716efeab9f3206df">Cy_Crypto_Core_Vu_StatusRead</ref>(base);</highlight></codeline>
<codeline lineno="196"><highlight class="normal" /></codeline>
<codeline lineno="197"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(0u<sp />!=<sp />(status<sp />&amp;<sp /><sp />CY_CRYPTO_VU_STATUS_CARRY_BIT))</highlight></codeline>
<codeline lineno="198"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="199"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tmpResult<sp />=<sp /></highlight><highlight class="keyword">true</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="200"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="201"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="202"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="203"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tmpResult<sp />=<sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">;</highlight></codeline>
<codeline lineno="204"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="205"><highlight class="normal" /></codeline>
<codeline lineno="206"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />tmpResult;</highlight></codeline>
<codeline lineno="207"><highlight class="normal">}</highlight></codeline>
<codeline lineno="208"><highlight class="normal" /></codeline>
<codeline lineno="209"><highlight class="normal" /><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__crypto__lld__vu__functions_1ga08aa3a35101cb64a96fa0b744aae35d0">Cy_Crypto_Core_VU_RegInvertEndianness</ref>(CRYPTO_Type<sp />*base,<sp />uint32_t<sp />srcReg)</highlight></codeline>
<codeline lineno="210"><highlight class="normal">{</highlight></codeline>
<codeline lineno="211"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp /><sp />byteSize<sp />=<sp />CY_CRYPTO_BYTE_SIZE_OF_BITS(<ref kindref="member" refid="group__group__crypto__lld__vu__functions_1ga6ba9bc785b3a2a63b003acbe80ad02ec">Cy_Crypto_Core_Vu_RegBitSizeRead</ref>(base,<sp />srcReg));</highlight></codeline>
<codeline lineno="212"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />*dataAddr<sp />=<sp /><ref kindref="member" refid="group__group__crypto__lld__vu__functions_1gaf3eb6a75150071a92906aed994a3682e">Cy_Crypto_Core_Vu_RegMemPointer</ref>(base,<sp />srcReg);</highlight></codeline>
<codeline lineno="213"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__crypto__lld__hw__functions_1ga5d74ed1e6161b72e972fac828fa3aea9">Cy_Crypto_Core_InvertEndianness</ref>(dataAddr,<sp />byteSize);</highlight></codeline>
<codeline lineno="214"><highlight class="normal">}</highlight></codeline>
<codeline lineno="215"><highlight class="normal" /></codeline>
<codeline lineno="216"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />#if<sp />(CPUSS_CRYPTO_VU<sp />==<sp />1)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="217"><highlight class="normal" /></codeline>
<codeline lineno="218"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="219"><highlight class="normal">}</highlight></codeline>
<codeline lineno="220"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="221"><highlight class="normal" /></codeline>
<codeline lineno="222"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_IP_MXCRYPTO<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="223"><highlight class="normal" /></codeline>
<codeline lineno="224"><highlight class="normal" /></codeline>
<codeline lineno="225"><highlight class="normal" /><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_crypto_core_vu.c" />
  </compounddef>
</doxygen>